select col_id, SUBSTR(col_name,1,100), SUBSTR(condt_name,1,100), SUBSTR(coldt_name,1,100) from columnset_t, BASEATTRIB_T, column_t, con_datatype_T, col_datatype_t, ba_column_t, ba_concept_t where cs_name = '$table_name' AND BC_CONID = $id_concept and cs_conid = bc_conid and bc_baid = bac_baid and bac_colid = col_id and CS_ID = COL_CSID AND COL_COLDTID = COLDT_ID AND BA_CONDTID = CONDT_ID AND bc_baid = ba_id
select $columns from $table_name where $col_to_learn is not null and M4RandomSelect(98765432, ROWNUM, $K) = 1
select count(*) from $table_name where $col_to_learn is not null
select m4_sampleInit from dual 
select m4_sampleTerminate from dual 


###

NEW M4 Version !!!!

select $columns from $table_name where $col_to_learn is not null having m4_sample($K) = 1

select X, Y, Target from SVMTEST where Target is not null having M4RandomSelect(98765432, ROWNUM, 0.8869179600886918) = 1;




select col_id, SUBSTR(col_name,1,100) from columnset_t, column_t, ba_column_t, ba_concept_t, baseattrib_t where cs_name = 'COMPILERTEST' AND BC_CONID = 1000000001 and bc_baid = bac_baid and bac_colid = col_id and CS_ID = COL_CSID and bc_baid = ba_id;



select col_id, SUBSTR(col_name,1,100) from columnset_t, column_t, ba_column_t, ba_concept_t where cs_name = 'COMPILERTEST' AND BC_CONID = 1000000001 and bc_baid = bac_baid and bac_colid = col_csid and CS_ID = COL_CSID;

select col_id, SUBSTR(col_name,1,100) from columnset_t, column_t, ba_column_t, ba_concept_t where cs_name = 'COMPILERTEST' AND BC_CONID = 1000000001 and bc_baid = bac_baid and bac_colid = col_csid and CS_ID = COL_CSID;


select Z, F, Class from compilertest where class is not null and M4RandomSelect(98765432, ROWNUM, 0.8333334*1000000) = 1